Bug 111520 - USB 2.0 Devices in USB 1.1 Ports Freezes System
USB 2.0 Devices in USB 1.1 Ports Freezes System
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-04 15:20 EST by Steven D. Bernardin
Modified: 2015-01-04 17:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 15:47:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven D. Bernardin 2003-12-04 15:20:22 EST
Description of problem:
I have a SanDisk USB 2.0 Memory Key and whenever I put it in, Fedora
freezes and the caps lock led and num lock led blink.  If in at the
time of boot, the boot process will freeze and the leds will blink
also.  Under my Windows partition, it works fine.

Version-Release number of selected component (if applicable):
Fedora Core 1.0

How reproducible:
100%

Steps to Reproduce:
1. Plug USB memory key in.
2. Wait 10 sec.
3.
  
Actual results:
System Locks.  Num Lock & Caps lock leds blink togehter.

Expected results:
No problems

Additional info:
None
Comment 1 tjfalcone 2004-01-07 07:45:14 EST
I have experienced a similiar problem.  I did not see the crash until
I attempted to mount the device, but perhaps I just didn't wait long
enough.  According to the output to the console, there was a problem
in the usb-storage module, causing the interrupt handler to exit and a
subsequent kernel panic.

I am using fedora core kernel 2.4.22-1.2129.nptl from the fedora core
1 updates.
Comment 2 Dave Jones 2004-01-07 08:51:09 EST
2138 has a bunch of USB fixes. Please give that a try.
Comment 3 tjfalcone 2004-01-12 08:41:13 EST
I upgraded to 2138, as suggested.  There is no longer a kernel panic,
but it is still not possible to mount the memory stick.  The USB
subsystem keeps restarting (issuing the storage device a new device
number), and continues to spawn processes trying to manage the device.
 Any mount attempt freezes up (process goes into "uninteruptible
sleep").  I am not sure why usb-storage for this device, which seems
to work fine in RH 9, is causing so much trouble in Fedora.
Comment 4 David Lawrence 2004-09-29 15:47:57 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.